net.sf.jasperreports.engine

## Interface JRPrintRectangle

- All Superinterfaces:
    JRCommonElement, JRCommonGraphicElement, JRCommonRectangle, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRBasePrintRectangle, JRTemplatePrintRectangle

      public interface JRPrintRectangle
      extends JRPrintGraphicElement, JRCommonRectangle

  Version:
    $Id: JRPrintRectangle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setRadius(int radius)` Sets the corner radius for rectangles with round corners.
    `void` | `setRadius(java.lang.Integer radius)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonRectangle

      `getOwnRadius, getRadius`

- - ### Method Detail

    - #### setRadius

          void setRadius(int radius)

      Description copied from interface: `JRCommonRectangle`
      Sets the corner radius for rectangles with round corners.
      Specified by:
        `setRadius` in interface `JRCommonRectangle`

    - #### setRadius

          void setRadius(java.lang.Integer radius)

      Specified by:
        `setRadius` in interface `JRCommonRectangle`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com